<?php 


if($_GET["v"] != 4 ){
echo "<center>
	<h1>تحتاج إلى تحديث التطبيق</h1> 
	<input type=\"button\" onclick=\"location.href='https://play.google.com/store/apps/details?id=com.tooroq.qodorate';\" value=\"تحديث\" />
	</center>
";
return ;
}

/*
// قمت بحظر التطبيق على منطقة مكناس فاس ميسور بولمان
$ip = $_SERVER['REMOTE_ADDR']; // جلب الايبي الرئيسي للمستخدم
$jsondata = json_decode(file_get_contents("http://ip-api.com/json/$ip")); 
$city = $jsondata->city; // جلب دولة المستخدم
if($city == "Meknes" ){
	echo " <center> <b style=\"color:red\"> التطبيق محظور بمنطقتك </b> </center> "  ;
	return ;
}


*/



	  include '../../admin/config.php';
      $conn = mysqli_connect($HostName, $HostUser, $HostPass, $DatabaseName);
 
 $email = $_GET["email"];   
 $pass = $_GET["pass"];   
 
 if (isset($_GET["email"])) {
	  
	    $query = "SELECT id, point FROM USERS WHERE email='$email' AND pass='$pass'";
        $result = mysqli_query($conn,$query);
        if($row = mysqli_fetch_array($result)) {
			$id_user = $row['id'] ;
			$point = $row['point'] ;
         }
		 
 }
 	
		 
 ?>
 
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
<title>هدايــا الاختــبار</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">

<style>
table{
width:100% ;
font-size:22xp ;
margin:auto ;
}

table , td , th{
border:1px solid black;
border-collapse:collapse ;
text-aling:center ;
}

td{
padding:4px ;
}

th {
background:Salmon ;
}

.button {
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 6px 18px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 13px;
    margin: 4px 2px;
    cursor: pointer;
}


</style>

</head>
<body >

<script>
function myFunction( p_usr , min_p , id_type , id_user ) {
		 
	 if (p_usr >= min_p) {
		  alert("جيد ... تحتاج إدخال معلومات السحب" );
          window.location.href = "order.php?id_gift=" + id_type + "&id_user=" + id_user;
     }else {
          alert("المجوهرات غير كافية...!!" );
     }

  
}
</script>



<center>

<div style="border:2px;  width: 75%; border-style:solid; border-color:#FF0000; padding: 1em;" >
 <b>المجوهرات المتوفرة :</b>
<div style="color:red; font-size:18px; font-family:verdana;" ><?php echo $point ;?> مــجوهرة</div>
</div>


<table>
<tr>
<th> النوع </th>
<th> القيمة </th>
<th> النجوم </th>
</tr>


<?php

  include '../../admin/config.php';
  $conn = mysqli_connect($HostName, $HostUser, $HostPass, $DatabaseName);

    $statement = mysqli_prepare($conn, "SELECT * FROM GIFTS ");
    mysqli_stmt_execute($statement);
    mysqli_stmt_store_result($statement);
    mysqli_stmt_bind_result($statement, $id , $img_url, $title, $min_point , $price , $date , $ip , $statucs );
			 while(mysqli_stmt_fetch($statement)){
				 if ($min_point == 0){
					 echo "<hr>" ;
				 }else{
					echo " <tr>
					  <td> <center>  <img src=\"$img_url\" width=\"40\" height=\"55\"> </center> </td>
                      <td> $price </td>
                      <td> $min_point مجوهرة</td>
					  <td> <a class=\"button button1\" onclick=\"myFunction($point , $min_point ,  $id , $id_user )\" >طلب</a></td>
                      </tr> " ;	 
				 }
                    	 

				}
			
	?>
	
</table>
	
<br><br><br><br>
</center>

</body>
</html>
